Subject: Re: gitweb doesn't work with bare repositories

From: Jakub Narebski <[email-masked]>
Date: Sat, 29 Nov 2008 16:25:12 -0800 (PST)

Evgeniy Ivanov <[email-masked]> writes:

> I have installed gitweb and can't make it work with bare repos.

Actually gitweb treats all repositories as bare repositories,
and doesn't touch at all neither index nor working area.

> I have such config:
> $my_uri = "http://mysite.org:8000";
> $projectroot = "/srv/www/gamekeeper/htdocs/projects";
> 
> In projects I have created bare repo:

I assume that you have done:

$ cd /srv/www/gamekeeper/htdocs/projects

> $ mkdir some

I assume that you meant here

$ mkdir some.git

> $ cd some.git
> $ git --bare init
> $ cd /some_git_repo
> $ git push /srv/www/gamekeeper/htdocs/projects master

I assume that you meant:

$ git push /srv/www/gamekeeper/htdocs/projects/some.git master

> 
> Everything fine, but when I click the link on some.git I don't have a
> page (just "Error 404").

What error? Please provide _exact_ error message.

Does the problem persists with the following corrections? Do you
have permissions set up correctly? How did you generate gitweb.cgi?

SAA#1 (Standard admin answer #1): WORKSFORME.
-- 
Jakub Narebski
Poland
ShadeHawk on #git